petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSErrorWeightedNorm2

compute a weighted 2-norm of the difference between two state vectors

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSErrorWeightedNorm2(TS ts,Vec U,Vec Y,PetscReal *norm,PetscReal *norma,PetscReal *normr)

Collective on TS

### Input Arguments

| ts | - time stepping context
| U | - state vector, usually ts->vec_sol
| Y | - state vector to be compared to U

### Output Arguments

| norm | - weighted norm, a value of 1.0 means that the error matches the tolerances
| norma | - weighted norm based on the absolute tolerance, a value of 1.0 means that the error matches the tolerances
| normr | - weighted norm based on the relative tolerance, a value of 1.0 means that the error matches the tolerances

### See Also

TSErrorWeightedNorm(), TSErrorWeightedNormInfinity()

### Level

developer

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages